%define _requires_exceptions typelib\(AppIndicator3\)

Name: virt-manager
Version: 0.10.0
Release: %mkrel 12.git1ffcc0cc.1
Summary: Virtual Machine Manager
License: GPLv2+
Group: Graphical desktop/GNOME
URL: http://virt-manager.org/
#Source: http://virt-manager.org/download/sources/%{name}/%{name}-%{version}.tar.gz
Source: virt-manager-1ffcc0cc.tar.gz
# Fix running virt-manager on rawhide (bz #1024569)
# Remove this when pygobject is built with the fix
Patch0001: 0001-virtManager-do-not-call-set_cell_data_func-with-an-e.patch
BuildRequires: python
BuildRequires: intltool
BuildArch: noarch
Requires: typelib(Gtk) = 3.0
Requires: typelib(GtkVnc) = 2.0
Requires: typelib(SpiceClientGtk) = 3.0
Requires: typelib(Vte) = 2.90
Requires: python-libvirt
Requires: python-libxml2
Requires: python-urlgrabber
Requires: python-ipaddr
Requires: python-gi
Obsoletes: python-virtinst < 0.600.5

%description
The "Virtual Machine Manager" (virt-manager for short package name) is a
desktop application for managing virtual machines. It presents a summary view
of running domains and their live performance & resource utilization
statistics. A detailed view presents graphs showing performance & utilization
over time. Ultimately it will allow creation of new domains, and configuration
& adjustment of a domain's resource allocation & virtual hardware. Finally an
embedded VNC client viewer presents a full graphical console to the guest
domain.

%prep

%setup -q
# Fix running virt-manager on rawhide (bz #1024569)
# Remove this when pygobject is built with the fix
%patch0001 -p1

%build
python setup.py configure --prefix=%{_prefix} \
	--libvirt-package-names="libvirt-utils" \
	--kvm-package-names="qemu" \
	--askpass-package-names="openssh-askpass" \
	--hide-unsupported-rhel-options \
	--preferred-distros="mageia"
python setup.py build

%install
python setup.py install --root=%{buildroot}

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING INSTALL NEWS README
%{_bindir}/*
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/applications/*.desktop
%{_datadir}/appdata/virt-manager.appdata.xml
%{_mandir}/man*/*
%{_iconsdir}/*/*/*/*
%{_datadir}/%{name}


%changelog
* Fri Jan 24 2014 oden <oden> 0.10.0-12.git1ffcc0cc.1.mga4
+ Revision: 567702
- sync with virt-manager-0.10.0-5.git1ffcc0cc.fc21.src.rpm

* Thu Nov 07 2013 oden <oden> 0.10.0-11.git79196cdf.1.mga4
+ Revision: 549880
- bump release
- sync with fedora, use git79196cdf that actually works
- drop the mbs patch, it's fixed upstream

* Sat Nov 02 2013 fwang <fwang> 0.10.0-10.mga4
+ Revision: 549033
- requires python-gi

* Mon Oct 21 2013 umeabot <umeabot> 0.10.0-9.mga4
+ Revision: 536982
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 oden <oden> 0.10.0-8.mga4
+ Revision: 486060
- P0: add the Mandriva mbs1 product

* Wed Jul 31 2013 wally <wally> 0.10.0-7.mga4
+ Revision: 461852
- rebuild with new rpm-mageia-setup to find typelib requires from python scripts without .py extension (mga#10863)

* Sun Jul 21 2013 fwang <fwang> 0.10.0-6.mga4
+ Revision: 456863
- python-virtinst merged into virt-manager

* Sun Jul 21 2013 fwang <fwang> 0.10.0-5.mga4
+ Revision: 456825
- fix typo

* Sun Jul 21 2013 fwang <fwang> 0.10.0-4.mga4
+ Revision: 456824
- add requires exception on indicator

* Sun Jul 21 2013 fwang <fwang> 0.10.0-3.mga4
+ Revision: 456817
- fix typo

* Sun Jul 21 2013 fwang <fwang> 0.10.0-2.mga4
+ Revision: 456816
- add some configure switches
- add some configure switches

* Sun Jul 21 2013 fwang <fwang> 0.10.0-1.mga4
+ Revision: 456810
- new version 0.10.0

* Mon Apr 15 2013 kharec <kharec> 0.9.5-2.mga3
+ Revision: 410148
- fix version in requires to fix #9740

* Fri Apr 12 2013 kharec <kharec> 0.9.5-1.mga3
+ Revision: 409803
- new version 0.9.5 (bugfixes)

* Mon Jan 14 2013 umeabot <umeabot> 0.9.4-4.mga3
+ Revision: 385422
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 0.9.4-3.mga3
+ Revision: 341559
- update file list

* Sun Dec 23 2012 cjw <cjw> 0.9.4-2.mga3
+ Revision: 334089
- add dependency on python-spice-client-gtk for spice display connections

* Thu Oct 18 2012 tv <tv> 0.9.4-1.mga3
+ Revision: 307932
- new release
- new release

* Mon Oct 15 2012 blino <blino> 0.9.3-2.mga3
+ Revision: 306479
- require acl for the getfacl command used in VirtualDisk.py

* Fri Jul 13 2012 tv <tv> 0.9.3-1.mga3
+ Revision: 270656
- new release

* Tue May 15 2012 ennael <ennael> 0.9.1-2.mga2
+ Revision: 235729
- add missing require gettext

* Fri Mar 02 2012 misc <misc> 0.9.1-1.mga2
+ Revision: 216639
- new version 0.9.1

  + fwang <fwang>
    - fix post script

  + tv <tv>
    - fix file list
    - new release

* Thu Apr 14 2011 tv <tv> 0.8.7-1.mga1
+ Revision: 84874
- new release

* Mon Mar 07 2011 saispo <saispo> 0.8.6-1.mga1
+ Revision: 66076
- imported package virt-manager

